Subject: bug#24831: shr mangling messages

From: Katsumi Yamaoka <[email-masked]>
Date: Wed, 02 Nov 2016 18:49:58 +0900

On Tue, 01 Nov 2016 19:43:23 +0100, Lars Ingebrigtsen wrote:
> Lars Ingebrigtsen <[email-masked]> writes:

>> In addition, other browsers do not correct "missing" TDs in this way:
>> Instead they typically render non-TD/TH nodes before the table, which I
>> think might be a better idea.

> And thinking about it a bit more, I think that would perhaps be the most
> likely solution for shr, too.  That is, `shr-tag-table' could, at the
> end there, go through and find all non-blank non-td/th elements and
> insert them at the end.

Thanks.  I'm trying it but not succeeded yet though, I think I
understand what I should do.  The function for it should gather
only those extra elements, that are parts of a table tag of
which the parent (of the parent ...) table has no TD/TH tag.
It's a good brain teaser. :)